漏洞信息详情

WordPress Give SQL注入漏洞

漏洞简介

WordPress是WordPress基金会的一套使用PHP语言开发的博客平台。该平台支持在PHP和MySQL的服务器上架设个人博客网站。Impress GiveWP Give是其中的一个筹款平台插件。

WordPress Impress GiveWP Give插件2.5.0及之前版本中存在SQL注入漏洞。该漏洞源于基于数据库的应用缺少对外部输入SQL语句的验证。攻击者可利用该漏洞执行非法SQL命令。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://wordpress.org/plugins/give/#developers

参考网址

来源:MISC

链接:https://github.com/impress-org/give/commit/d91f4c6dcc92aeb826b060cb2feadd56885f4cea

来源:MISC

链接:https://fortiguard.com/zeroday/FG-VD-19-098

来源:MISC

链接:https://github.com/impress-org/give/commit/894937d7927eab0c98457656cbd6fb414b3a6fbf

来源:github.com

链接:https://github.com/impress-org/give/commit/97b9b5fae2d10742ee42fe00092729fa7da3cb32

来源:MISC

链接:https://wpvulndb.com/vulnerabilities/9504

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-13578

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/WordPress-Give-SQL-injection-30019

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多